@use 'partials/components/tabs';

.app-content-container {
  height: calc(#{tabs.$new-app-tabs-height} - #{tabs.$new-app-tab-label-height});
  padding: 0.5em 2.5% 0 2.5%;
  display: flex;
  flex-direction: column;
}

.app-image-container {
  width: 100%;
  height: 60%;
  position: relative;
  display: inline-block;
}

.app-image-container .image-hover {
  display: inline;
  position: absolute;
  max-width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: 201;
  opacity: 0;
  transition: opacity .5s;
}

.app-image-container:hover .image-hover {
  opacity: 1;
}

.app-image-container .image-normal {
  display: inline;
  position: absolute;
  max-width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: 201;
  opacity: 1;
  transition: opacity .5s;
}

.app-image-container:hover .image-normal {
  opacity: 0;
}

.app-info-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  padding: 3% 5%;
  column-gap: 2em;
}

.app-logo {
  width: 3em;
  aspect-ratio: 1;
  object-fit: cover;
  border-radius: 50%;
}

.app-info {
  display: flex;
  flex: 1; /* app-header should expand as much as possible */
  justify-content: flex-start; /* align content left */
  align-items: center; /* center children vertically */
  column-gap: 8px;
}
